Name:           fossil
Version:        1.36
Release:        %mkrel 1
Summary:        Simple, high-reliability, distributed, software configuration management
License:        BSD 2-clause
Group:          Development/Tools
URL:            http://www.fossil-scm.org/
# Source:         http://www.fossil-scm.org/download/%{name}-src-%{version}.tar.gz
Source:         http://www.fossil-scm.org/index.html/uv/download/%{name}-src-%{version}.tar.gz
BuildRequires:  pkgconfig(fuse)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  readline-devel
BuildRequires:  tcl

%description
Fossil is a simple, high-reliability, and distributed, software configuration
management system, with distributed bug tracking, a distributed wiki
capability, and a built-in web interface.

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="%{optflags}" ./configure --prefix=%{_prefix} --with-openssl=auto --disable-internal-sqlite
%make_build

%install
%make_install

%files
%{_bindir}/fossil
%doc COPYRIGHT-BSD2.txt


%changelog
* Sat Jan 14 2017 shlomif <shlomif> 1.36-1.mga6
+ Revision: 1081658
- New version 1.36 + .spec cleanups.

* Fri Apr 15 2016 shlomif <shlomif> 1.34-1.mga6
+ Revision: 1002801
- New version 1.34

* Wed Mar 02 2016 umeabot <umeabot> 1.33-3.mga6
+ Revision: 983398
- Rebuild for openssl

* Thu Feb 11 2016 umeabot <umeabot> 1.33-2.mga6
+ Revision: 953961
- Mageia 6 Mass Rebuild

* Tue Jul 28 2015 daviddavid <daviddavid> 1.33-1.mga6
+ Revision: 858591
- new version: 1.33
- switch BuildRequires to pkgconfig()
- add more BuildRequires on fuse and readline

* Wed Oct 15 2014 umeabot <umeabot> 1.28-3.mga5
+ Revision: 747747
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.28-2.mga5
+ Revision: 679306
- Mageia 5 Mass Rebuild

* Sat May 17 2014 sander85 <sander85> 1.28-1.mga5
+ Revision: 623195
- New version: 1.28

* Sat Oct 19 2013 umeabot <umeabot> 1.26-4.mga4
+ Revision: 529163
- Mageia 4 Mass Rebuild

* Sat Jul 06 2013 shlomif <shlomif> 1.26-3.mga4
+ Revision: 450741
- Made the description shorter (based on the Fedora description).
  This is per the discussion on the Mageia-dev mailing list.

* Wed Jul 03 2013 shlomif <shlomif> 1.26-2.mga4
+ Revision: 449948
- Use external SQLite - patch contributed by aleksjan

* Tue Jul 02 2013 malo <malo> 1.26-1.mga4
+ Revision: 449542
- update to 1.26 (patch by Aleksandrs Jansons)

* Fri May 24 2013 shlomif <shlomif> 1.25-1.mga4
+ Revision: 426820
- New version 1.25

* Fri Jan 11 2013 umeabot <umeabot> 1.24-3.mga3
+ Revision: 350786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 kamil <kamil> 1.24-2.mga3
+ Revision: 326941
- Disable sqlite3-devel as BR

* Tue Nov 20 2012 kamil <kamil> 1.24-1.mga3
+ Revision: 319723
- remove patch fossil-trunk-installdir - merged upstream
- fix %%setup
- new release 1.24

* Tue Nov 20 2012 kamil <kamil> 1.23-7.mga3
+ Revision: 319709
- fix Release
- adapt for Mageia
- imported package fossil

